Subject: Re: [PATCH net-next V6 2/5] selftests: drv-net: Test XDP_PASS/DROP support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 21 Jul 2025 13:33:25 -0700

IOn Mon, 21 Jul 2025 21:34:05 +0300 Gal Pressman wrote:
> > That's a reasonable way to modify the test. But I'm not sure it's
> > something that should be blocking merging the patches.
> > Or for that matter whether it's Mohsin's responsibility to make the
> > test cater to quirks of mlx5,   
> 
> Definitely not a quirk, you cannot assume the headers are in the linear
> part, especially if you're going to put this program as reference in the
> kernel tree.
> 
> This issue has nothing to do with mlx5, but a buggy XDP program.

We put the tests in the tree to foster collaboration. If you think the
test should be improved please send patches. I don't think the kernel
will allow pulling headers if they are not in the linear section.
But that's your problem to solve.

> > which is not even part of NIPA testing -
> > we have no way of knowing what passes for mlx5, what regresses it etc.  
> 
> People have been developing XDP code that runs on mlx5 long before NIPA
> even existed 🤷‍♂️..
> And as you know we run these selftests on mlx5 hardware, as evident by
> Nimrod's mail, and others you've seen on the list. You know what regresses.

No, please don't try to dispute facts. It's not integrated, if you go
on a vacation upstream will have no idea what broke in mlx5. Either you
are reporting the results upstream or our guarantees on regressions are
best effort. BTW I don't understand how you can claim that a new test
regresses something. It never passed on mlx5 == not a regression.